# SolrDisMaxQuery::addBoostQuery

(No version information available, might only be in Git)

SolrDisMaxQuery::addBoostQuery — Ajoute un champ de requête de boost avec valeur et boost facultatif (paramètre bq)

### Description

public SolrDisMaxQuery::addBoostQuery(string `$field`, string `$value`, string `$boost` = ?): SolrDisMaxQuery

Ajoute un champ de requête de boost avec valeur [et boost] (paramètre bq)

### Liste de paramètres

`field`

`value`

`boost`

### Valeurs de retour

SolrDisMaxQuery

### Exemples

Exemple #1 Exemple de SolrDisMaxQuery::addBoostQuery()

`<?php
$dismaxQuery = new SolrDisMaxQuery("lucene");
$dismaxQuery
->addBoostQuery('cat', 'clothing', 2)
->addBoostQuery('cat', 'electronics', 5.1)
;
echo $dismaxQuery.PHP_EOL;
?>`

Résultat de l'exemple ci-dessus est similaire à :

    q=lucene&defType=edismax&bq=cat:clothing^2 cat:electronics^5.1

### Voir aussi

- SolrDisMaxQuery::removeBoostQuery() - Supprime une partie de requête de boost par nom de champ (bq)
- SolrDisMaxQuery::setBoostQuery() - Définit directement le paramètre de requête de boost (bq)